/*****************************************************************************************************
 * @Description : Ͷ
 *                Data type definitions of VPI-Software Platform 
******************************************************************************************************/
#ifndef __DATA_TYPE_H__
#define __DATA_TYPE_H__

// Ͷ
typedef unsigned char   uint8;
typedef unsigned short  uint16;
typedef unsigned int    uint32;

typedef char    		int8;
typedef short   		int16;
typedef int   			int32;


//typedef unsigned char   u8;
//typedef unsigned short  u16;
//typedef unsigned int    u32;
//
//
//typedef volatile unsigned char   vu8;
//typedef volatile unsigned short  vu16;
//typedef volatile unsigned int    vu32;
#ifndef FLOAT
#define FLOAT           float
#endif

#ifndef DOUBLE
#define DOUBLE          double
#endif

////////////////////////////////////////////////////////////////////////////////
#ifndef OFF
#define TRUE             1
#endif

#ifndef OFF
#define FALSE             0
#endif

#ifndef BOOL
typedef unsigned char           BOOL;
#endif

typedef char            CHAR;
#ifndef ON
#define ON              1
#endif

#ifndef OFF
#define OFF             0
#endif


#ifndef STATUS_ENABLE
#define STATUS_ENABLE          1
#endif

#ifndef STATUS_DISABLE
#define STATUS_DISABLE         0
#endif

#ifndef STATIC
#define STATIC          static
#endif

#ifndef CONST
#define CONST           const
#endif

#ifndef VOLATILE
#define VOLATILE        volatile
#endif

#ifndef NULL
#define NULL            0
#endif

#define SYSTICK         uint32          
#define SYSTICK_MAX     0xFFFFFFFF

#ifndef UNUSED
#define UNUSED(var)     ((void)var)
#endif
////////////////////////////////////////////////////////////////////////////////

typedef uint8       DATA_TYPE;
#define DATA_TYPE_UNKNOWN       0
#define DATA_TYPE_VOID          1
#define DATA_TYPE_BOOL          2
#define DATA_TYPE_uint8         3
#define DATA_TYPE_uint16        4    
#define DATA_TYPE_uint32        5
#define DATA_TYPE_int8          6
#define DATA_TYPE_INT16         7
#define DATA_TYPE_INT32         8
#define DATA_TYPE_FLOAT         9
#define DATA_TYPE_DOUBLE        10


#define uint8_DATA_MAX          0xFF
#define uint16_DATA_MAX         0xFFFF
#define uint32_DATA_MAX         0xFFFFFFFF


#define INVALID_DATA_uint8      0xFF
#define INVALID_DATA_uint16     0xFFFF
#define INVALID_DATA_uint32     0xFFFFFFFF



#endif



